Bug 96274 - [NVC0] Failure when compiling compute shader: Assertion `bb->getFirst()->serial <= bb->getExit()->serial' failed
Summary: [NVC0] Failure when compiling compute shader: Assertion `bb->getFirst()->seri...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/nouveau (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Nouveau Project
QA Contact: Nouveau Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-30 04:06 UTC by Ilia Mirkin
Modified: 2016-08-23 22:34 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
failing tgsi shader (20.88 KB, text/plain)
2016-05-30 04:06 UTC, Ilia Mirkin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ilia Mirkin 2016-05-30 04:06:06 UTC
Created attachment 124171 [details]
failing tgsi shader

This happens in GRID Autosport, when selecting one of the advanced graphics options (global illumination or the one right next to it). The issue appears to be squarely in nouveau's optimizations.

It looks like we end up deciding that the first while loop can be removed? Or somehow lose track of those BBs? Unclear. This in turn leads to BB:11 being completely lost.
Comment 1 Ilia Mirkin 2016-08-23 22:34:14 UTC
Fixed by

commit 092f994a034b718f6170c631655ccaba8d2aa768
Author: Ilia Mirkin <imirkin@alum.mit.edu>
Date:   Fri Aug 19 00:41:59 2016 -0400

    nv50/ir: make sure cfg iterator always hits all blocks


bug/show.html.tmpl processed on Jan 16, 2017 at 17:14:13.
(provided by the Example extension).